Export integration by ID
curl --request GET \
--url https://api.getmembrane.com/integrations/{id}/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmembrane.com/integrations/{id}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmembrane.com/integrations/{id}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>",
"meta": {},
"logoUri": "<string>",
"externalAppUuid": "<string>",
"oAuthCallbackUri": "<string>",
"logoBase64": "<string>",
"connectorVersion": "<string>",
"connectorUuid": "<string>",
"connectorKey": "<string>",
"optionsConfig": {}
}Integrations
Export integration by ID
GET
/
integrations
/
{id}
/
export
Export integration by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Stable unique identifier (UUID). Can be provided on create; otherwise generated. Must be unique across elements of this type.
Stable key for referencing the element (e.g. in selectors). Unique per (parent, integration) scope. Generated from name if not provided on create.
Display name. Optional on create; used to generate key when key is omitted.
Optional human-readable description.
Optional key-value metadata.
Show child attributes
Show child attributes
Key of the connector; alternative to connectorId. Resolved to connectorId by the API.
Show child attributes
Show child attributes
Was this page helpful?